<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="17701" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="17703"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="NoInternetVC" customModule="TopHub" customModuleProvider="target">
            <connections>
                <outlet property="view" destination="i5M-Pr-FkT" id="sfx-zR-JGt"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="i5M-Pr-FkT">
            <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="ic_downloaded_cmpltd" translatesAutoresizingMaskIntoConstraints="NO" id="Caf-dq-hme">
                    <rect key="frame" x="147" y="234.5" width="120" height="120"/>
                    <constraints>
                        <constraint firstAttribute="width" constant="120" id="EfJ-Cg-Rxw"/>
                        <constraint firstAttribute="width" secondItem="Caf-dq-hme" secondAttribute="height" multiplier="1:1" id="mba-d0-Rfc"/>
                    </constraints>
                </imageView>
                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Oops! You seem to be offline" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="bYE-2l-yag">
                    <rect key="frame" x="20" y="404.5" width="374" height="30"/>
                    <fontDescription key="fontDescription" name="HelveticaNeue-Bold" family="Helvetica Neue" pointSize="25"/>
                    <color key="textColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    <nil key="highlightedColor"/>
                </label>
                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" textAlignment="center" lineBreakMode="tailTruncation" numberOfLines="0" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="6EV-Np-bHg">
                    <rect key="frame" x="20" y="454.5" width="374" height="43"/>
                    <string key="text">Please retry when you're back online
</string>
                    <fontDescription key="fontDescription" name="HelveticaNeue-Bold" family="Helvetica Neue" pointSize="18"/>
                    <color key="textColor" systemColor="systemGrayColor"/>
                    <nil key="highlightedColor"/>
                </label>
                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="uD6-YY-t0R">
                    <rect key="frame" x="30" y="532.5" width="354" height="50"/>
                    <color key="backgroundColor" red="1" green="0.0" blue="0.2274509804" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="50" id="73B-uG-379"/>
                    </constraints>
                    <fontDescription key="fontDescription" type="boldSystem" pointSize="15"/>
                    <state key="normal" title="Watch your Downloaded Movies Offline">
                        <color key="titleColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    </state>
                    <userDefinedRuntimeAttributes>
                        <userDefinedRuntimeAttribute type="number" keyPath="layer.cornerRadius">
                            <integer key="value" value="8"/>
                        </userDefinedRuntimeAttribute>
                    </userDefinedRuntimeAttributes>
                    <connections>
                        <action selector="btnDownloadsClick:" destination="-1" eventType="touchUpInside" id="qDn-cV-QHS"/>
                    </connections>
                </button>
                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Oc2-O8-WTr">
                    <rect key="frame" x="30" y="602.5" width="354" height="50"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="50" id="l5V-Az-wK3"/>
                    </constraints>
                    <fontDescription key="fontDescription" type="boldSystem" pointSize="18"/>
                    <state key="normal" title="Retry">
                        <color key="titleColor" red="1" green="0.0" blue="0.2274509804" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                    </state>
                    <userDefinedRuntimeAttributes>
                        <userDefinedRuntimeAttribute type="number" keyPath="layer.cornerRadius">
                            <integer key="value" value="8"/>
                        </userDefinedRuntimeAttribute>
                    </userDefinedRuntimeAttributes>
                    <connections>
                        <action selector="btnRetryClick:" destination="-1" eventType="touchUpInside" id="Enl-z8-9Cj"/>
                    </connections>
                </button>
            </subviews>
            <viewLayoutGuide key="safeArea" id="fnl-2z-Ty3"/>
            <color key="backgroundColor" white="0.0" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
            <constraints>
                <constraint firstItem="6EV-Np-bHg" firstAttribute="leading" secondItem="bYE-2l-yag" secondAttribute="leading" id="43P-cu-NJs"/>
                <constraint firstItem="Oc2-O8-WTr" firstAttribute="leading" secondItem="uD6-YY-t0R" secondAttribute="leading" id="RR0-Ly-G2m"/>
                <constraint firstItem="bYE-2l-yag" firstAttribute="top" secondItem="Caf-dq-hme" secondAttribute="bottom" constant="50" id="SEo-cO-bLf"/>
                <constraint firstItem="fnl-2z-Ty3" firstAttribute="trailing" secondItem="uD6-YY-t0R" secondAttribute="trailing" constant="30" id="SpJ-y9-bGJ"/>
                <constraint firstItem="uD6-YY-t0R" firstAttribute="leading" secondItem="fnl-2z-Ty3" secondAttribute="leading" constant="30" id="Ti5-gP-bp6"/>
                <constraint firstItem="bYE-2l-yag" firstAttribute="leading" secondItem="fnl-2z-Ty3" secondAttribute="leading" constant="20" id="UnU-hj-RPs"/>
                <constraint firstItem="6EV-Np-bHg" firstAttribute="trailing" secondItem="bYE-2l-yag" secondAttribute="trailing" id="XgU-Tb-M9d"/>
                <constraint firstItem="uD6-YY-t0R" firstAttribute="top" secondItem="6EV-Np-bHg" secondAttribute="bottom" constant="35" id="YpS-zA-biW"/>
                <constraint firstItem="Oc2-O8-WTr" firstAttribute="trailing" secondItem="uD6-YY-t0R" secondAttribute="trailing" id="hhb-i3-AeK"/>
                <constraint firstItem="Caf-dq-hme" firstAttribute="centerX" secondItem="fnl-2z-Ty3" secondAttribute="centerX" id="nlg-0t-eor"/>
                <constraint firstItem="Caf-dq-hme" firstAttribute="centerY" secondItem="fnl-2z-Ty3" secondAttribute="centerY" multiplier="0.65" id="pBN-ZX-Jb3"/>
                <constraint firstItem="Oc2-O8-WTr" firstAttribute="top" secondItem="uD6-YY-t0R" secondAttribute="bottom" constant="20" id="qh5-yY-6eK"/>
                <constraint firstItem="fnl-2z-Ty3" firstAttribute="trailing" secondItem="bYE-2l-yag" secondAttribute="trailing" constant="20" id="u1n-Vi-LfO"/>
                <constraint firstItem="6EV-Np-bHg" firstAttribute="top" secondItem="bYE-2l-yag" secondAttribute="bottom" constant="20" id="uf3-kS-O3k"/>
            </constraints>
            <point key="canvasLocation" x="35" y="58"/>
        </view>
    </objects>
    <resources>
        <image name="ic_downloaded_cmpltd" width="128" height="128"/>
        <systemColor name="systemGrayColor">
            <color red="0.55686274509803924" green="0.55686274509803924" blue="0.57647058823529407" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </systemColor>
    </resources>
</document>
